'use strict';var inversify=require('inversify'),cacheService=require('../services/cache-service.cjs'),constants=require('../constants.cjs'),ioredisEngine=require('../engines/ioredis-engine.cjs');const moduleFunc = (settings) => new inversify.ContainerModule((bind) => {
    /**
     *
     * @returns: () => cache;
     */
    bind(constants.Types.CacheService).toFactory((context) => {
        return () => {
            // TODO:  to make it singleton we need to check if Cache already exist then return same.
            const cacheEngine = context.container.get(constants.Types.CacheEngine);
            const logger = context.container.get('Logger');
            const cache = new cacheService.Cache(cacheEngine, logger);
            return cache;
        };
    }).whenTargetIsDefault();
    bind(constants.Types.CacheEngine)
        .toConstantValue(new ioredisEngine.Redis(settings.redisConnection))
        // .inSingletonScope()
        .whenTargetIsDefault();
});exports.moduleFunc=moduleFunc;//# sourceMappingURL=module.cjs.map
