import {ContainerModule}from'inversify';import {Cache}from'../services/cache-service.mjs';import {Types}from'../constants.mjs';import {Redis}from'../engines/ioredis-engine.mjs';const moduleFunc = (settings) => new ContainerModule((bind) => {
    /**
     *
     * @returns: () => cache;
     */
    bind(Types.CacheService).toFactory((context) => {
        return () => {
            // TODO:  to make it singleton we need to check if Cache already exist then return same.
            const cacheEngine = context.container.get(Types.CacheEngine);
            const logger = context.container.get('Logger');
            const cache = new Cache(cacheEngine, logger);
            return cache;
        };
    }).whenTargetIsDefault();
    bind(Types.CacheEngine)
        .toConstantValue(new Redis(settings.redisConnection))
        // .inSingletonScope()
        .whenTargetIsDefault();
});export{moduleFunc};//# sourceMappingURL=module.mjs.map
